Bug 1411819 (CVE-2017-5330) - CVE-2017-5330 ark: Unintended execution of scripts and executable files
Summary: CVE-2017-5330 ark: Unintended execution of scripts and executable files
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2017-5330
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1411822
Blocks: 1411821
TreeView+ depends on / blocked
 
Reported: 2017-01-10 14:53 UTC by Andrej Nemec
Modified: 2019-09-29 14:03 UTC (History)
3 users (show)

Fixed In Version: ark 16.12.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-20 04:23:34 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-01-10 14:53:39 UTC
A vulnerability was found in ark. The "Open" functionality of ark can inadvertently run shell scripts or other executable entries in the archive.

Upstream bug:

https://bugs.kde.org/show_bug.cgi?id=374572

References:

http://seclists.org/oss-sec/2017/q1/45

Upstream patch:

https://cgit.kde.org/ark.git/commit/?id=82fdfd24d46966a117fa625b68784735a40f9065

Comment 1 Andrej Nemec 2017-01-10 14:55:30 UTC
Created ark tracking bugs for this issue:

Affects: fedora-all [bug 1411822]

Comment 2 Than Ngo 2017-01-10 15:26:22 UTC
it's already fixed in fedora git branch

Comment 3 Doran Moppert 2017-01-20 04:23:34 UTC
Unable to reproduce on ark-4 in Red Hat Enterprise Linux 7:  the script is opened in an internal viewer rather than executed.

According to a comment on the Debian tracker, the affected functionality was introduced post ark-15.11.80.


Note You need to log in before you can comment on or make changes to this bug.